{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Creer soutenance
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}
    <h1 class="text-2xl font-semibold text-center mb-4">Liste des soutenances</h1>


    <div class="flex flex-col mt-4">
        {% if nbsoutenance != 0 %}
        <table>
            <thead>
                <!-- <tr>
                    <th class="text-1xl text-center mb-4">Liste des soutenances</th>
                </tr> -->
            </thead>
            <tbody>
                <tr class="bg-gray-50 text-gray-900 text-sm">
                    <th
                      class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
                    >
                      ID
                    </th>
                    <th
                      class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
                    >
                      Date soutenance
                    </th>
                    <th
                      class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
                    >
                      Durée soutenance
                    </th>
                    <th
                      class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
                    >
                      Professeur candide
                    </th>
                    <th
                      class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
                    >
                      Eleve
                    </th>
                    <th
                      class="bg-[#ececec] font-semibold px-2.5 py-2 text-left overflow-hidden"
                    >
                      Action
                    </th>
                  </tr>
                {% for soutenance in soutenances %}
                  <tr>
                    <td value="">{{soutenance.id}}</td>
                    <td value="">{{soutenance.date}}</td>
                    <td value="">{{soutenance.duration}}</td>
                    <td value="">{{soutenance.candid_teacher.last_name}} {{soutenance.candid_teacher.first_name}}</td>
                    <td>{{soutenance.mission_request.user.first_name}} {{soutenance.mission_request.user.last_name}}</td>
                    <td>	
                      {% if soutenance.mission_request.profReferant == current_user %}	
                        <a href="{{ url_for('delete_soutenance',id=soutenance.id)}}">✘</a>
                      {% endif %}
                        <a href="{{ url_for('page_soutenance',id=soutenance.id)}}">➥</a>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p class="text-1xl text-center mb-4">Aucune soutenance à presenter</p>
        {% endif %}
    </div>




{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}